/// <reference types="react" />
export declare const ContactItemAvatarWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const ContactItemAvatar: import("styled-components").StyledComponent<(<Role extends import("../Avatar/Avatar.types").AvatarRoles>(props: import("..").AvatarProps<Role> | (import("../Avatar/Avatar.types").BaseAvatarProps & {
    ref?: ((instance: HTMLDivElement | null) => void) | import("react").RefObject<HTMLDivElement> | null | undefined;
})) => import("react").JSX.Element) & {
    Icon: import("react").ForwardRefExoticComponent<import("../_utils/types").DivAttributes & import("..").AvatarIconProps & import("react").RefAttributes<HTMLDivElement>>;
    Label: import("react").ForwardRefExoticComponent<import("../_utils/types").DivAttributes & import("../Avatar/Avatar.types").AvatarLabelProps & import("react").RefAttributes<HTMLDivElement>>;
    Portrait: import("react").ForwardRefExoticComponent<import("../_utils/types").DivAttributes & import("..").AvatarPortraitProps & import("react").RefAttributes<HTMLDivElement>>;
}, any, {}, never>;
export declare const ContactItemTextWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const ContactItemText: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../_utils/types").SpanAttributes & import("..").TypographyProps & import("react").RefAttributes<HTMLSpanElement>>, any, {}, never>;
export declare const ContactItemWrapper: import("styled-components").StyledComponent<"div", any, {
    $selected: boolean;
    $disabled: boolean;
    $clickable: boolean;
}, never>;
